FreeHandParserInternal::ShapeHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FreeHandParserInternal::ShapeHeader Struct Reference

small structure of FreeHandParserInternal used to stored a shape header More...

## Public Member Functions
| ShapeHeader ()
| constructor More...

## Public Attributes
long | m_size
| a field related to the zone size More...
int | m_type
| the zone type More...
std::string | m_note
| the note More...
int | m_dataId
| the data id (used to store a note, ...) More...
int | m_layerId
| the layer id More...
MWAWVariable< ScreenMode > | m_screen
| the screen mode More...
int | m_values [4]
| the unknown values More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeHeader const &shape)
| operator<< More...

## Detailed Description

small structure of FreeHandParserInternal used to stored a shape header

## Constructor & Destructor Documentation

## ◆ ShapeHeader()

FreeHandParserInternal::ShapeHeader::ShapeHeader | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ShapeHeader const & | shape
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataId

int FreeHandParserInternal::ShapeHeader::m_dataId

the data id (used to store a note, ...)

Referenced by FreeHandParser::readShapeHeader().

## ◆ m_extra

std::string FreeHandParserInternal::ShapeHeader::m_extra

extra data

Referenced by FreeHandParser::readShapeHeader().

## ◆ m_layerId

int FreeHandParserInternal::ShapeHeader::m_layerId

the layer id

Referenced by FreeHandParser::readBackgroundPicture(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), and FreeHandParser::readShapeHeader().

## ◆ m_note

std::string FreeHandParserInternal::ShapeHeader::m_note

the note

Referenced by FreeHandParser::readShapeHeader().

## ◆ m_screen

MWAWVariable<ScreenMode> FreeHandParserInternal::ShapeHeader::m_screen

the screen mode

Referenced by FreeHandParser::readShapeHeader().

## ◆ m_size

long FreeHandParserInternal::ShapeHeader::m_size

a field related to the zone size

Referenced by FreeHandParser::readShape(), FreeHandParser::readShapeHeader(), and FreeHandParser::readTransformGroup().

## ◆ m_type

int FreeHandParserInternal::ShapeHeader::m_type

the zone type

Referenced by FreeHandParser::readBackgroundPicture(), FreeHandParser::readJoinGroup(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readShapeHeader(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::readTransformGroup().

## ◆ m_values

int FreeHandParserInternal::ShapeHeader::m_values[4]

the unknown values

Referenced by FreeHandParser::readShapeHeader(), and ShapeHeader().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx